package ch.pizzalemon.android.model;

import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;

public class StoreShiftModel {

    @SerializedName("monday")
    private ArrayList<String> mondayShift;

    @SerializedName("tuesday")
    private ArrayList<String> tuesdayShift;

    @SerializedName("wednesday")
    private ArrayList<String> wednesdayShift;

    @SerializedName("thursday")
    private ArrayList<String> thursdayShift;

    @SerializedName("friday")
    private ArrayList<String> fridayShift;

    @SerializedName("saturday")
    private ArrayList<String> saturdayShift;

    @SerializedName("sunday")
    private ArrayList<String> sundayShift;

    public ArrayList<String> getMondayShift() {
        return mondayShift != null ? mondayShift : new ArrayList<String>();
    }

    public ArrayList<String> getTuesdayShift() {
        return tuesdayShift != null ? tuesdayShift : new ArrayList<String>();
    }

    public ArrayList<String> getWednesdayShift() {
        return wednesdayShift != null ? wednesdayShift : new ArrayList<String>();
    }

    public ArrayList<String> getThursdayShift() {
        return thursdayShift != null ? thursdayShift : new ArrayList<String>();
    }

    public ArrayList<String> getFridayShift() {
        return fridayShift != null ? fridayShift : new ArrayList<String>();
    }

    public ArrayList<String> getSaturdayShift() {
        return saturdayShift != null ? saturdayShift : new ArrayList<String>();
    }

    public ArrayList<String> getSundayShift() {
        return sundayShift != null ? sundayShift : new ArrayList<String>();
    }
}
